<?php

if ( ! current_user_can( 'manage_options' ) ) {
	wp_die( __( 'You do not have sufficient capabilities to access this page.' ) );
}

?>

<div class="wrap">

    <h2>Hreflang Flags - Options</h2>

	<?php

	//settings errors
	if ( isset( $_GET['settings-updated'] ) and $_GET['settings-updated'] == 'true' ) {
		settings_errors();
	}

	?>

    <div id="daext-options-wrapper">

		<?php
		//get current tab value
		$active_tab = isset( $_GET['tab'] ) ? $_GET['tab'] : 'general_options';
		?>

        <div class="nav-tab-wrapper">
            <a href="?page=dahf-options&tab=general_options"
               class="nav-tab <?php echo $active_tab == 'general_options' ? 'nav-tab-active' : ''; ?>"><?php esc_attr_e( 'General',
					'dahf' ); ?></a>
            <a href="?page=dahf-options&tab=fixed_options"
               class="nav-tab <?php echo $active_tab == 'fixed_options' ? 'nav-tab-active' : ''; ?>"><?php esc_attr_e( 'Fixed',
					'dahf' ); ?></a>
            <a href="?page=dahf-options&tab=languages_options"
               class="nav-tab <?php echo $active_tab == 'languages_options' ? 'nav-tab-active' : ''; ?>"><?php esc_attr_e( 'Languages',
					'dahf' ); ?></a>
        </div>

        <form method='post' action='options.php'>

			<?php

			if ( $active_tab == 'general_options' ) {

				settings_fields( $this->shared->get( 'slug' ) . '_general_options' );
				do_settings_sections( $this->shared->get( 'slug' ) . '_general_options' );

			}

			if ( $active_tab == 'fixed_options' ) {

				settings_fields( $this->shared->get( 'slug' ) . '_fixed_options' );
				do_settings_sections( $this->shared->get( 'slug' ) . '_fixed_options' );

			}

			if ( $active_tab == 'languages_options' ) {

				settings_fields( $this->shared->get( 'slug' ) . '_languages_options' );
				do_settings_sections( $this->shared->get( 'slug' ) . '_languages_options' );

			}

			?>

            <div class="daext-options-action">
                <input type="submit" name="submit" id="submit" class="button"
                       value="<?php esc_attr_e( 'Save Changes', 'dahf' ); ?>">
            </div>

        </form>

    </div>

</div>