<?php

/*
 * this class should be used to include ajax actions
 */

class dahf_Ajax {

	protected static $instance = null;

	private function __construct() {

		//ajax requests for logged-in users ----------------------------------------------------------------------------
		add_action( 'wp_ajax_dahf_get_modal_window_content', array( $this, 'get_modal_window_content' ) );

	}

	/*
	 * return an instance of this class
	 */
	public static function get_instance() {

		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;

	}

	/**
	 * This method is used to retrieve the content of the modal window generated when the TinyMCE "Hreflang Flags" button
	 * is clicked.
	 */
	function get_modal_window_content() {

		//check the referer
		if ( ! check_ajax_referer( 'dahf', 'security', false ) ) {
			echo "Invalid AJAX Request";
			die();
		}

		//check the capability
		if ( ! current_user_can( 'edit_posts' ) ) {
			echo 'Invalid Capability';
			die();
		}

		$output = '<div id="dahf-hreflangflags-body-container">';

		$output .= '<h3>' . esc_attr__( 'Flags Size', 'dahf' ) . '</h3>';
		$output .= '<select id="flags-size">';
		$output .= '<option value="16">16</option>';
		$output .= '<option value="24">24</option>';
		$output .= '<option value="32" selected="selected">32</option>';
		$output .= '<option value="48">48</option>';
		$output .= '<option value="64">64</option>';

		$output .= '</select>';

		$output .= '<h3>' . esc_attr__( 'Orientation', 'dahf' ) . '</h3>';
		$output .= '<select id="orientation">';
		$output .= '<option value="horizontal" selected="selected">' . esc_attr__( 'Horizontal', 'dahf' ) . '</option>';
		$output .= '<option value="vertical">' . esc_attr__( 'Vertical', 'dahf' ) . '</option>';
		$output .= '</select>';

		$output .= '<h3>' . esc_attr__( 'Margin', 'dahf' ) . '</h3>';
		$output .= '<input maxlength="4" type="text" id="margin" value="5">';

		$output .= '<h3>' . esc_attr__( 'Container Color', 'dahf' ) . '</h3>';
		$output .= '<input maxlength="7" type="text" id="container-color" value="#000000">';

		$output .= '<h3>' . esc_attr__( 'Container Opacity', 'dahf' ) . '</h3>';
		$output .= '<input maxlength="4" type="text" id="container-opacity" value="0">';

		$output .= '<h3>' . esc_attr__( 'Container Horizontal Padding', 'dahf' ) . '</h3>';
		$output .= '<input maxlength="4" type="text" id="container-horizontal-padding" value="0">';

		$output .= '<h3>' . esc_attr__( 'Container Vertical Padding', 'dahf' ) . '</h3>';
		$output .= '<input maxlength="4" type="text" id="container-vertical-padding" value="0">';

		$output .= '<h3>' . esc_attr__( 'Container border Radius', 'dahf' ) . '</h3>';
		$output .= '<input maxlength="4" type="text" id="container-border-radius" value="0">';

		$output .= '</div>';

		echo $output;
		die();

	}

}