<?php

/*
 * this class should be used to stores properties and methods shared by the
 * admin and public side of wordpress
 */

class Dahf_Shared {

	//regex
	public $digits_regex = '/^\s*\d+\s*$/';
	public $hex_rgb_regex = '/^#(?:[0-9a-fA-F]{3}){1,2}$/';
	public $opacity_regex = '/(^\s*\d+\s*$)|(^\s*\d\.\d{1,2}\s*$)/';

	protected static $instance = null;

    //Languages (ISO_639-1)
    public $languages = array(
        'ab' => 'Abkhaz',
        'aa' => 'Afar',
        'af' => 'Afrikaans',
        'ak' => 'Akan',
        'sq' => 'Albanian',
        'am' => 'Amharic',
        'ar' => 'Arabic',
        'an' => 'Aragonese',
        'hy' => 'Armenian',
        'as' => 'Assamese',
        'av' => 'Avaric',
        'ae' => 'Avestan',
        'ay' => 'Aymara',
        'az' => 'Azerbaijani',
        'bm' => 'Bambara',
        'ba' => 'Bashkir',
        'eu' => 'Basque',
        'be' => 'Belarusian',
        'bn' => 'Bengali/Bangla',
        'bh' => 'Bihari',
        'bi' => 'Bislama',
        'bs' => 'Bosnian',
        'br' => 'Breton',
        'bg' => 'Bulgarian',
        'my' => 'Burmese',
        'ca' => 'Catalan/Valencian',
        'ch' => 'Chamorro',
        'ce' => 'Chechen',
        'ny' => 'Chichewa/Chewa/Nyanja',
        'zh' => 'Chinese',
        'cv' => 'Chuvash',
        'kw' => 'Cornish',
        'co' => 'Corsican',
        'cr' => 'Cree',
        'hr' => 'Croatian',
        'cs' => 'Czech',
        'da' => 'Danish',
        'dv' => 'Divehi/Dhivehi/Maldivian',
        'nl' => 'Dutch',
        'dz' => 'Dzongkha',
        'en' => 'English',
        'eo' => 'Esperanto',
        'et' => 'Estonian',
        'ee' => 'Ewe',
        'fo' => 'Faroese',
        'fj' => 'Fijian',
        'fi' => 'Finnish',
        'fr' => 'French',
        'ff' => 'Fula/Fulah/Pulaar/Pular',
        'gl' => 'Galician',
        'ka' => 'Georgian',
        'de' => 'German',
        'el' => 'Greek/Modern',
        'gn' => 'Guaraní',
        'gu' => 'Gujarati',
        'ht' => 'Haitian/Haitian Creole',
        'ha' => 'Hausa',
        'he' => 'Hebrew (modern)',
        'hz' => 'Herero',
        'hi' => 'Hindi',
        'ho' => 'Hiri Motu',
        'hu' => 'Hungarian',
        'ia' => 'Interlingua',
        'id' => 'Indonesian',
        'ie' => 'Interlingue',
        'ga' => 'Irish',
        'ig' => 'Igbo',
        'ik' => 'Inupian',
        'io' => 'Ido',
        'is' => 'Icelandic',
        'it' => 'Italian',
        'iu' => 'Inuktitut',
        'ja' => 'Japanese',
        'jv' => 'Javanese',
        'kl' => 'Kalaallisut/Greenlandic',
        'kn' => 'Kannada',
        'kr' => 'Kanuri',
        'ks' => 'Kashmiri',
        'kk' => 'Kazakh',
        'km' => 'Khmer',
        'ki' => 'Kikuyu/Gikuyu',
        'rw' => 'Kinyarwanda',
        'ky' => 'Kyrgyz',
        'kv' => 'Komi',
        'kg' => 'Kongo',
        'ko' => 'Korean',
        'ku' => 'Kurdish',
        'kj' => 'Kwanyama/Kuanyama',
        'la' => 'Latin',
        'lb' => 'Luxembourgish/Letzeburgesch',
        'lg' => 'Ganda',
        'li' => 'Limburgish/Limburgan/Limburger',
        'ln' => 'Lingala',
        'lo' => 'Lao',
        'lt' => 'Lithuanian',
        'lu' => 'Luba-Katanga',
        'lv' => 'Latvian',
        'gv' => 'Manx',
        'mk' => 'Macedonian',
        'mg' => 'Malagasy',
        'ms' => 'Malay',
        'ml' => 'Malayalam',
        'mt' => 'Maltese',
        'mi' => 'Māori',
        'mr' => 'Marathi/Marāṭhī',
        'mr' => 'Marshallese',
        'mn' => 'Mongolian',
        'na' => 'Nauru',
        'nv' => 'Navajo/Navaho',
        'nb' => 'Norwegian Bokmål',
        'nd' => 'North Ndebele',
        'ne' => 'Nepali',
        'ng' => 'Ndonga',
        'nn' => 'Norwegian Nynorsk',
        'no' => 'Norwegian',
        'ii' => 'Nuosu',
        'nr' => 'South Ndebele',
        'oc' => 'Occitan',
        'oj' => 'Ojibwe/Ojibwa',
        'cu' => 'Old C. Slavonic/C. Slavic/C. Slavonic/Old Bulgarian/Old Slavonic',
        'om' => 'Oromo',
        'or' => 'Orija',
        'os' => 'Ossetian/Ossetic',
        'pa' => 'Panjabi/Punjabi',
        'pi' => 'Pāli',
        'fa' => 'Persian (Farsi)',
        'pl' => 'Polish',
        'ps' => 'Pashto/Pushto',
        'pt' => 'Portuguese',
        'qu' => 'Quechua',
        'rm' => 'Romansh',
        'rn' => 'Kirundi',
        'ro' => 'Romanian',
        'ru' => 'Russian',
        'sa' => 'Sanskrit (Saṁskṛta)',
        'sc' => 'Sardinian',
        'sd' => 'Sindhi',
        'se' => 'Northern Sami',
        'sm' => 'Samoan',
        'sg' => 'Sango',
        'sr' => 'Serbian',
        'gd' => 'Scottish Gaelic/Gaelic',
        'sn' => 'Shona',
        'si' => 'Sinhala/Sinhalese',
        'sk' => 'Slovak',
        'sl' => 'Slovene',
        'so' => 'Somali',
        'st' => 'Southern Sotho',
        'az' => 'South Azebaijani',
        'es' => 'Spanish/Castilian',
        'su' => 'Sundanese',
        'sw' => 'Swahili',
        'ss' => 'Swati',
        'sv' => 'Swedish',
        'ta' => 'Tamil',
        'te' => 'Telugu',
        'tg' => 'Tajik',
        'th' => 'Thai',
        'ti' => 'Tigrinya',
        'bo' => 'Tibetan Standard/Tibetan/Central',
        'tk' => 'Turkmen',
        'tl' => 'Tagalog',
        'tn' => 'Tswana',
        'to' => 'Tonga (Tonga Islands)',
        'tr' => 'Turkish',
        'ts' => 'Tsonga',
        'tt' => 'Tatar',
        'tw' => 'Twi',
        'ty' => 'Tahitian',
        'ug' => 'Uyghur/Uighur',
        'uk' => 'Ukrainian',
        'ur' => 'Urdu',
        'uz' => 'Uzbek',
        've' => 'Venda',
        'vi' => 'Vietnamese',
        'vo' => 'Volapük',
        'wa' => 'Walloon',
        'cy' => 'Welsh',
        'wo' => 'Wolof',
        'fy' => 'Western Frisian',
        'xh' => 'Xhosa',
        'yi' => 'Yiddish',
        'yo' => 'Yoruba',
        'za' => 'Zhuang/Chuang',
        'zu' => 'Zulu'
    );

    private $data = array();

	private function __construct() {

		//Set plugin textdomain
		load_plugin_textdomain( 'dahf', false, 'hreflang-flags/lang/' );

		$this->data['slug'] = 'dahf';
		$this->data['ver']  = '1.10';
		$this->data['dir']  = substr( plugin_dir_path( __FILE__ ), 0, - 7 );
		$this->data['url']  = substr( plugin_dir_url( __FILE__ ), 0, - 7 );

		//Register the Widgets
		add_action( 'widgets_init', array( $this, 'dahf_register_widgets' ) );

	}

	public static function get_instance() {

		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;

	}

	//retrieve data
	public function get( $index ) {
		return $this->data[ $index ];
	}

	/**
	 * Register the Widgets
	 */
	public function dahf_register_widgets() {

		//Register the Widget handled with the Dahf_Widget class
		register_widget( 'Dahf_Widget' );

	}

}